NEWS 1.41 KB
Newer Older
1 2 3 4 5 6
v2.6.1
======

- various bug fixes (memory corruption issues which would cause crashes in
  spice-gtk)

7 8 9 10 11 12 13 14 15 16 17 18 19
v2.6.0
======

- provides implementation of GSC-IS 2.1 (aka CAC version 2) to improve
  interoperatibility with guest software using the emulated or shared
  smart cards. The previously implemented CACv1 specification is no
  longer supported by any other application so the old code is gone
  and any application depending on this old standard will not work
  anymore.
- vscclient is no longer installed, as it is not an end-user support
  solution
- various bug & leak fixes

20 21 22 23 24 25 26 27 28
v2.5.3
======

- fix memory leak in vcard_apdu_new
- do not fail, if the caller didn't pick up response
  from previous call (to please opensc)
- some scan-build errors fixed


29 30 31 32 33
v2.5.2
======

- remove libcacard.h usage warning (to silence qemu 2.5.0 build)

34 35 36 37 38 39 40
v2.5.1
======

- fix mingw cross-compilation
- add error checking to vcard_emul_options()
- add VCARD_DIRECT implementation to provide direct communication with
  a smartcard using libpcsclite (--enable-pcsc)
41 42
- add a top-level libcacard.h header compatible with c++
- add test & code coverage and travis CI integration
43 44
- bug fix: delete the reader entry after queueing an event, not before

Marc-André Lureau's avatar
Marc-André Lureau committed
45 46 47 48 49 50
v2.5.0
======

This is the first standalone release after the split from qemu.git
(the last release of libcacard was part of qemu 2.4). The hosting and
maintainance of libcacard is now part of the Spice project.